<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Antecedentes de alumno</title>
    </h:head>
    <h:body>
        <ui:composition template="./padre.xhtml">
            <ui:define name="content"> 


                <p:growl id="msj"/>       
                <p:fieldset legend="Filtro carrera y enfermedad" style="margin-bottom:10px">
                    <h:form id="datos">
                        <h:panelGrid columns="7" cellpadding="2" cellspacing="7" width="97%">
                            <p:outputLabel value="Carrera"/>
                            <p:selectOneMenu value="#{ante_alumnoController.carrera.id}">
                                <f:selectItem itemLabel="Seleccione Carrera" itemValue="" />
                                <f:selectItems value="#{carreraController.lista}" var="car" itemLabel="#{car.carrera}" itemValue="#{car.id}"/> 
                            </p:selectOneMenu>  
                            <p:outputLabel value="Antecedente Personal"/>
                            <p:selectOneMenu value="#{ante_alumnoController.ante_persona.id}" style="width: 220px;">
                                <f:selectItem itemLabel="Seleccione Antecedente" itemValue="" />
                                <f:selectItems value="#{ante_personalController.ante_personalList}" var="ap" itemLabel="#{ap.antecedente_p}" itemValue="#{ap.id}"/> 
                            </p:selectOneMenu>
                            <p:outputLabel value="Aceptó Investigación"/>
                            <p:selectOneMenu value="#{ante_alumnoController.acuerdo}" maxlength="8">
                                <f:selectItem itemLabel="Seleccione" itemValue="" />
                                <f:selectItem itemValue="SI" itemLabel="De acuerdo"/>
                                <f:selectItem itemValue="NO" itemLabel="Desacuerdo"/>
                            </p:selectOneMenu>
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{ante_alumnoController.findXenfermedadYcarrera()}" update=":tabla"/>

                            <p:outputLabel value="Antecedente personal"/>
                            <p:selectOneMenu value="#{ante_alumnoController.ante_personal.id}" style="width: 262px;">
                                <f:selectItem itemLabel="Seleccione Antecedente" itemValue="" />
                                <f:selectItems value="#{ante_personalController.ante_personalList}" var="ap" itemLabel="#{ap.antecedente_p}" itemValue="#{ap.id}"/> 
                            </p:selectOneMenu>
                            <p:commandButton icon="pi pi-search" value="Buscar" actionListener="#{ante_alumnoController.findXenfermedadYfacultad()}" update=":tabla"/>
                        </h:panelGrid>
                    </h:form>
                </p:fieldset>

                <p:fieldset legend="Listado de Alumnos por Antecedentes Personales">
                    <h:form id="tabla">
                        <p:dataTable value="#{ante_alumnoController.listaAnte_alumno}" var="at" paginator="true" rows="5">
                            <p:column headerText="Alumno">
                                <p:outputLabel value="#{at.alumno.nombres}"/>
                            </p:column>
                            <p:column headerText="Facultad">
                                <p:outputLabel value="#{at.alumno.carrera.facultad.facultad}"/>
                            </p:column>
                            <p:column headerText="Carrera">
                                <p:outputLabel value="#{at.alumno.carrera.carrera}"/>
                            </p:column>
                            <p:column headerText="Antecedente personal">
                                <p:outputLabel value="#{at.ante_personal.antecedente_p}"/>
                            </p:column>
                            <p:column headerText="Descripcion">
                                <p:outputLabel value="#{at.descripcion}"/>
                            </p:column>
                            <p:column headerText="Acuerdo">
                                <p:outputLabel value="#{at.alumno.acuerdo}"/>
                            </p:column>
                            <p:column headerText="Acciones">
                                <p:commandButton icon="pi pi-list" value="Ver Detalles" action="#{ante_alumnoController.detalles(at)}"/>
                            </p:column>
                        </p:dataTable>
                    </h:form>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </h:body>
</html>

